VOP_VPTOFH(9)

NAME
VOP_VPTOFH - turn a vnode into an NFS filehandle

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
VOP_VPTOFH(struct vnode *vp, struct fid *fhp);

DESCRIPTION
This is used by the NFS server to create an opaque filehandle which uniquely identifies the file and which can be used by an NFS client to access the file in the future.

Its arguments are:

vp  The vnode to make a filehandle for.

fhp Return parameter for the filehandle.

SEE ALSO
VFS(9), VFS_FHTOVP(9), vnode(9)

AUTHORS
This manual page was written by Doug Rabson.